import * as React from "react";
import { RadioOptions, RadioHTMLProps } from "../Radio/Radio";
import { MenuStateReturn } from "./MenuState";
import { MenuItemOptions, MenuItemHTMLProps } from "./MenuItem";
export declare type MenuItemRadioOptions = RadioOptions & MenuItemOptions & Pick<MenuStateReturn, "unstable_values" | "unstable_setValue"> & {
    /**
     * MenuItemRadio's name as in `menu.values`.
     */
    name: string;
};
export declare type MenuItemRadioHTMLProps = RadioHTMLProps & MenuItemHTMLProps;
export declare type MenuItemRadioProps = MenuItemRadioOptions & MenuItemRadioHTMLProps;
export declare const useMenuItemRadio: {
    (options?: MenuItemRadioOptions | undefined, htmlProps?: import("..").unstable_FormInputHTMLProps | undefined, unstable_ignoreUseOptions?: boolean | undefined): import("..").unstable_FormInputHTMLProps;
    unstable_propsAreEqual: (prev: import("..").BoxOptions & {
        disabled?: boolean | undefined;
        focusable?: boolean | undefined;
    } & {
        unstable_clickOnEnter?: boolean | undefined;
        unstable_clickOnSpace?: boolean | undefined;
    } & Pick<Partial<import("..").unstable_IdStateReturn>, "baseId" | "unstable_idCountRef"> & {
        id?: string | undefined;
    } & Pick<Partial<import("..").unstable_CompositeStateReturn>, "baseId" | "unstable_virtual" | "orientation" | "unstable_moves" | "unstable_hasActiveWidget"> & Pick<import("..").unstable_CompositeStateReturn, "down" | "up" | "next" | "first" | "last" | "currentId" | "items" | "registerItem" | "unregisterItem" | "previous" | "setCurrentId"> & Pick<Partial<import("..").RadioStateReturn>, "state" | "setState"> & {
        value: string | number;
        checked?: boolean | undefined;
        unstable_checkOnFocus?: boolean | undefined;
    } & Pick<Partial<MenuStateReturn>, "hide" | "visible" | "placement" | "unstable_popoverStyles" | "unstable_arrowStyles"> & Pick<MenuStateReturn, "next" | "move" | "previous"> & Pick<MenuStateReturn, "unstable_values" | "unstable_setValue"> & {
        /**
         * MenuItemRadio's name as in `menu.values`.
         */
        name: string;
    } & React.HTMLAttributes<any> & React.RefAttributes<any> & {
        wrapElement?: ((element: React.ReactNode) => React.ReactNode) | undefined;
    } & {
        disabled?: boolean | undefined;
    } & React.InputHTMLAttributes<any>, next: import("..").BoxOptions & {
        disabled?: boolean | undefined;
        focusable?: boolean | undefined;
    } & {
        unstable_clickOnEnter?: boolean | undefined;
        unstable_clickOnSpace?: boolean | undefined;
    } & Pick<Partial<import("..").unstable_IdStateReturn>, "baseId" | "unstable_idCountRef"> & {
        id?: string | undefined;
    } & Pick<Partial<import("..").unstable_CompositeStateReturn>, "baseId" | "unstable_virtual" | "orientation" | "unstable_moves" | "unstable_hasActiveWidget"> & Pick<import("..").unstable_CompositeStateReturn, "down" | "up" | "next" | "first" | "last" | "currentId" | "items" | "registerItem" | "unregisterItem" | "previous" | "setCurrentId"> & Pick<Partial<import("..").RadioStateReturn>, "state" | "setState"> & {
        value: string | number;
        checked?: boolean | undefined;
        unstable_checkOnFocus?: boolean | undefined;
    } & Pick<Partial<MenuStateReturn>, "hide" | "visible" | "placement" | "unstable_popoverStyles" | "unstable_arrowStyles"> & Pick<MenuStateReturn, "next" | "move" | "previous"> & Pick<MenuStateReturn, "unstable_values" | "unstable_setValue"> & {
        /**
         * MenuItemRadio's name as in `menu.values`.
         */
        name: string;
    } & React.HTMLAttributes<any> & React.RefAttributes<any> & {
        wrapElement?: ((element: React.ReactNode) => React.ReactNode) | undefined;
    } & {
        disabled?: boolean | undefined;
    } & React.InputHTMLAttributes<any>) => boolean;
    __keys: readonly any[];
    __useOptions: (options: MenuItemRadioOptions, htmlProps: import("..").unstable_FormInputHTMLProps) => MenuItemRadioOptions;
};
export declare const MenuItemRadio: import("reakit-system/src/createComponent").Component<"button", MenuItemRadioOptions>;
